明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 275|回复: 7

[提问] lisp选择集怎行与VL选择集转换

[复制链接]
发表于 2021-11-20 19:59 | 显示全部楼层 |阅读模式
lisp选择集怎行与VL选择集转换??
发表于 2021-11-23 08:56 | 显示全部楼层
本帖最后由 Gu_xl 于 2021-11-23 08:57 编辑

  1. ;;(gxl-Sel-SS->variant ss) 选择集物体转变体
  2. (defun gxl-Sel-SS->variant (ss / c r en)
  3.   (repeat (setq c (sslength ss))
  4.     (setq en (ssname ss (setq c (1- c))))
  5.     (if  (entget en)
  6.       (setq r (cons en r))
  7.     )
  8.   )
  9.   (vlax-make-variant
  10.     (vlax-safearray-fill
  11.       (vlax-make-safearray
  12.   vlax-vbObject
  13.   (cons 0 (1- (length r)))
  14.       )
  15.       (mapcar 'vlax-ename->vla-object r)
  16.     )
  17.   )
  18. )

点评

顾版出现  发表于 2021-11-23 20:07
Gu版出现  发表于 2021-11-23 09:29
回复 支持 2 反对 0

使用道具 举报

发表于 2021-11-22 12:22 | 显示全部楼层
lisp选择集中的每一个图元,可以通过图元名转换成vl对象:
使用vlax-ename->vla-object 函数
发表于 2021-11-23 13:18 | 显示全部楼层
本帖最后由 lee50310 于 2021-11-25 01:19 编辑

下面有代碼

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
 楼主| 发表于 2021-11-25 19:46 | 显示全部楼层
[code="lisp] (defun MJ:Export (fileName Extension SelectonSet)
  (vla-export
    (vla-get-ActiveDocument (vlax-get-acad-object))
    fileName
    Extension
    SelectonSet )
[/code]
 楼主| 发表于 2021-11-25 19:48 | 显示全部楼层
SelectonSet
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2021-12-2 08:44 , Processed in 0.570380 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表